Upgrading to GitLab 11.10.0. Expect errors and see debian-infrastructure-announce@lists.debian.org for further information.

Commit 06bbc705 authored by Guido Günther's avatar Guido Günther

Fix complaints of flake8 3.5

parent 56d630ba
-r requirements.txt
coverage>=2.85
flake8==3.2.1
flake8==3.5.0
nose==1.3.7
nosexcover>=1.0.7
......@@ -112,7 +112,7 @@ class GitRepository(object):
ret = os.path.abspath(os.path.join(path, cdup or '.'))
except GitRepositoryError:
raise # We already have a useful error message
except:
except Exception:
raise GitRepositoryError("No Git repository at '%s'" % path)
return ret
......@@ -981,11 +981,11 @@ class GitRepository(object):
maxlen = 40
s = sha1.strip()
l = length or maxlen
sl = length or maxlen
if len(s) < l or len(s) > maxlen:
if len(s) < sl or len(s) > maxlen:
raise GitRepositoryError("'%s' is not a valid sha1%s" %
(s, " of length %d" % l if length else ""))
(s, " of length %d" % sl if length else ""))
return s
#{ Trees
......
......@@ -52,7 +52,7 @@ def send_notification(summary, msg):
try:
if not n.show():
return False
except:
except Exception:
return False
return True
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment